export default async function handler(req, res) {
  if (req.method !== 'POST') {
    return res.status(405).json({ error: 'Method not allowed' });
  }

  try {
    const { amount, trustedData } = req.body;
    const { fid } = trustedData.messageBytes;

    // Here you would integrate with your preferred payment solution
    // For example, using Base, Optimism, or other L2 solutions

    return res.status(200).json({
      version: 'vNext',
      image: {
        src: 'https://sendframehub.pro/images/success.png',
        aspectRatio: '1.91:1'
      },
      buttons: [
        {
          label: 'SEND MORE',
          action: 'post'
        }
      ]
    });
  } catch (error) {
    console.error('Frame API error:', error);
    return res.status(500).json({ error: 'Internal server error' });
  }
}
